Bug 1166193 - Octomap requires ice
Octomap requires ice
Product: Fedora
Classification: Fedora
Component: octomap (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
Depends On:
Blocks: F21FinalFreezeException
  Show dependency treegraph
Reported: 2014-11-20 09:45 EST by Rich Mattes
Modified: 2014-12-04 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-12-04 18:58:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2014-11-20 09:45:58 EST
Description of problem:
Octomap had an erroneous build requires on ice, which has been removed now that ice has been removed from the distribution.

Version-Release number of selected component (if applicable):
Comment 1 Fedora Blocker Bugs Application 2014-11-20 09:47:40 EST
Proposed as a Freeze Exception for 21-final by Fedora user rmattes using the blocker tracking app because:

 Octomap had an erroneous buildrequirement on the ice package, which has been removed from fedora.  I removed the requirement and rebuilt octomap, and I'd like to get it into the repositories before final so that the srpm in the "fedora" is buildable.  It shouldn't hurt any other packages, as octomap currently has no dependencies in fedora.
Comment 2 Adam Williamson 2014-11-24 13:41:48 EST
Discussed at 2014-11-24 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-24/f21-blocker-review.2014-11-24-17.01.log.txt . We were a bit undecided on this - on the one hand it really isn't a significant issue and the only benefit of taking it (SRPM in frozen repo will be compileable) is pretty small, on the other hand it really can't hurt anything important. So we more or less tossed a coin and said, sure, whatever. Accepted as a freeze exception.
Comment 4 Adam Williamson 2014-11-25 16:57:00 EST
Rich: you need to get someone to file at least some karma on this, I won't list it for a stable push unless it has at least +1, ideally +2, or has cleared the 7-day / 14-day / whatever-it-is wait period.
Comment 5 Rich Mattes 2014-11-26 13:08:57 EST
Sure, I'll try to get some eyes on it.
Comment 6 Adam Williamson 2014-12-04 18:58:18 EST
Has now been pushed stable. Closing.

Note You need to log in before you can comment on or make changes to this bug.